Fedora Online Forum

Il forum della comunità italiana di Fedora

#1 09-02-2020 12:25:08

Raznum
Pinguino avanzato
Registrato: 06-03-2016
Messaggi: 119

Conflitto libreria libMagickCore durante installazione di kxstitch

Ciao ragazzi.

Devo installare questo programma "kxstitch" e mi dà questo errore:

Errore: 
 Problema: conflicting requests
  - nothing provides libMagickCore-6.Q16.so.5()(64bit) needed by kxstitch-2.0.0-4.fc28.x86_64
(try to add '--skip-broken' to skip uninstallable packages)

Aggiungendo '--skip-broken' salta l'installazione.
In passato mi è capitato di leggere che alcuni conflitti si possono risolvere con l'opzione "--allowerasing" (o per lo meno così ho capito io), ma mi risponde con lo stesso messaggio.

Come risolvere?

Grazie. Buona domenica.


KDE per tutta la vita!

Non in linea

#2 09-02-2020 15:09:52

Yattatux
Redattore
Da Neo Tokyo
Registrato: 23-10-2011
Messaggi: 2'463
Sito web

Re: Conflitto libreria libMagickCore durante installazione di kxstitch

kxstitch-2.0.0-4.fc28.x86_64

Fedora 28 non riceve (e non riceverà) più aggiornamenti dal 28 maggio 2019. Consiglio un upgrade del sistema.


"facciàn nui quel che si può far per nui; abbia chi regge il ciel cura del resto, o la Fortuna, se non tocca a lui." (Cit.)

Non in linea

#3 09-02-2020 17:32:27

Raznum
Pinguino avanzato
Registrato: 06-03-2016
Messaggi: 119

Re: Conflitto libreria libMagickCore durante installazione di kxstitch

Ops, non me n'ero accorto che indicava il pacchetto di F28. Grazie per avermelo fatto notare.
Tuttavia il mio sistema è F30, perché mai ha fatto riferimento alla 28?
Che devo fare?

Yattatux ha scritto:

Consiglio un upgrade del sistema.

Intendi proprio specificatamente upgrade (so la differenza tra upgrade e update)? O intendevi in senso generico un aggiornamento dalla 28 (pensando che io avessi questa) alla 30/31?
Grazie.

Ultima modifica di Raznum (09-02-2020 17:39:12)


KDE per tutta la vita!

Non in linea

#4 09-02-2020 19:31:48

bebo_sudo
Collaboratore
Da Trento+Trieste
Registrato: 28-02-2011
Messaggi: 2'043
Sito web

Re: Conflitto libreria libMagickCore durante installazione di kxstitch

Ciao, possiamo vedere:

$ dnf repolist; cat /etc/os-release

?

Edit: il pacchetto che stai cercando di installare e' rimasto "fermo" a f28, ma sono scomparse alcune sue librerie di dipendenza.

Sembra che non ci sia piu' la libreria citata tra i pacchetti di f31:
https://pkgs.org/download/libMagickCore … 5()(64bit)
C'e' al massimo pacchettizzato per f29.
Potremmo provare ad installare quel pacchetto da f29.

Ultima modifica di bebo_sudo (09-02-2020 19:34:46)


devzero.tk - github.com/bebosudo
Quando posti del codice, mettilo nel tag code! (senza spazi)            [ code]così[/ code]

Non in linea

#5 09-02-2020 21:36:18

Yattatux
Redattore
Da Neo Tokyo
Registrato: 23-10-2011
Messaggi: 2'463
Sito web

Re: Conflitto libreria libMagickCore durante installazione di kxstitch

bebo_sudo ha scritto:

Edit: il pacchetto che stai cercando di installare e' rimasto "fermo" a f28, ma sono scomparse alcune sue librerie di dipendenza.

Confermo che in Fedora 30 è "fermo" a f28 con tutti i problemi di dipendenze mancanti già riscontrati, in Fedora 31 il pacchetto kxstitch è presente e si installa senza problemi.


"facciàn nui quel che si può far per nui; abbia chi regge il ciel cura del resto, o la Fortuna, se non tocca a lui." (Cit.)

Non in linea

#6 09-02-2020 22:17:33

Raznum
Pinguino avanzato
Registrato: 06-03-2016
Messaggi: 119

Re: Conflitto libreria libMagickCore durante installazione di kxstitch

Ecco qua bebo_sudo:

id repo                      nome repo
fedora                       Fedora 30 - x86_64
fedora-cisco-openh264        Fedora 30 openh264 (From Cisco) - x86_64
fedora-modular               Fedora Modular 30 - x86_64
rpmfusion-free               RPM Fusion for Fedora 30 - Free
rpmfusion-free-updates       RPM Fusion for Fedora 30 - Free - Updates
rpmfusion-nonfree            RPM Fusion for Fedora 30 - Nonfree
rpmfusion-nonfree-updates    RPM Fusion for Fedora 30 - Nonfree - Updates
updates                      Fedora 30 - x86_64 - Updates
updates-modular              Fedora Modular 30 - x86_64 - Updates
NAME=Fedora
VERSION="30 (Thirty)"
ID=fedora
VERSION_ID=30
VERSION_CODENAME=""
PLATFORM_ID="platform:f30"
PRETTY_NAME="Fedora 30 (Thirty)"
ANSI_COLOR="0;34"
LOGO=fedora-logo-icon
CPE_NAME="cpe:/o:fedoraproject:fedora:30"
HOME_URL="https://fedoraproject.org/"
DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/fedora/f30/system-administrators-guide/"
SUPPORT_URL="https://fedoraproject.org/wiki/Communicating_and_getting_help"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="Fedora"
REDHAT_BUGZILLA_PRODUCT_VERSION=30
REDHAT_SUPPORT_PRODUCT="Fedora"
REDHAT_SUPPORT_PRODUCT_VERSION=30
PRIVACY_POLICY_URL="https://fedoraproject.org/wiki/Legal:PrivacyPolicy"
Yattatux ha scritto:
bebo_sudo ha scritto:

Edit: il pacchetto che stai cercando di installare e' rimasto "fermo" a f28, ma sono scomparse alcune sue librerie di dipendenza.

Confermo che in Fedora 30 è "fermo" a f28 con tutti i problemi di dipendenze mancanti già riscontrati, in Fedora 31 il pacchetto kxstitch è presente e si installa senza problemi.

Allora eventualmente dovrò ritagliarmi un po' di tempo per backup e aggiornamento...

Ultima modifica di Raznum (09-02-2020 22:22:05)


KDE per tutta la vita!

Non in linea

#7 11-02-2020 10:36:12

bebo_sudo
Collaboratore
Da Trento+Trieste
Registrato: 28-02-2011
Messaggi: 2'043
Sito web

Re: Conflitto libreria libMagickCore durante installazione di kxstitch

Ho provato ad installare kxstitch e quel pacchetto di ImageMagick da f29, ma poi si lamenta di un altro pacchetto sempre di ImageMagick.

Soluzione:

# dnf install kxstitch https://archives.fedoraproject.org/pub/archive/fedora/linux/releases/29/Everything/x86_64/os/Packages/i/ImageMagick{,-c++,-libs}-6.9.9.38-3.fc29.x86_64.rpm

Probabilmente ti fara' fare un downgrade dei pacchetti ImageMagick di f30, ma almeno risolve le dipendenze ora. Poi non ho testato l'installazione vera e propria e il funzionamento effettivo del programma.


Se vuoi proprio risolvere in maniera "pulita", rimanendo su f30 senza dover far l'upgrade di tutto il sistema, potresti compilarti a mano kxstitch utilizzando ImageMagick di f30, oppure usare un docker container (o ancora meglio podman!), e "virtualizzare" un container f31, al cui interno installare il programma da repo ufficiali (ma mi rendo conto che puo' essere un overkill per il tuo caso, soprattutto se non sei pratico di containers).



Edit: ho cambiato il link con quello degli archivi di fedora, quindi dovrebbe essere piu' stabile del precedente.

Ultima modifica di bebo_sudo (11-02-2020 10:41:07)


devzero.tk - github.com/bebosudo
Quando posti del codice, mettilo nel tag code! (senza spazi)            [ code]così[/ code]

Non in linea

Piè di pagina